<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_IncreaseDecreaseInNetDefinedBenefitAssetOrLiabilityOpeCF" xlink:label="IncreaseDecreaseInNetDefinedBenefitAssetOrLiabilityOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_AccountsReceivableTradeAndContractAssets" xlink:label="AccountsReceivableTradeAndContractAssets" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_SunlightSellingIncomeNOI" xlink:label="SunlightSellingIncomeNOI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_SunlightSellingProductionCostNOE" xlink:label="SunlightSellingProductionCostNOE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_KoroyasuYoshihiroMember" xlink:label="KoroyasuYoshihiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_MurataKiyoshiMember" xlink:label="MurataKiyoshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_SatoTetsuzouMember" xlink:label="SatoTetsuzouMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_KagenTakashiMember" xlink:label="KagenTakashiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_AbeTakashiMember" xlink:label="AbeTakashiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_HayashiKoujiMember" xlink:label="HayashiKoujiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_KawashimaIchiroMember" xlink:label="KawashimaIchiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_OkiYoshimasaMember" xlink:label="OkiYoshimasaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_BusinessAdvisoryFeeTextBlock" xlink:label="BusinessAdvisoryFeeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_ElectronicallyRecordedMonetaryClaimsTransferredTextBlock" xlink:label="ElectronicallyRecordedMonetaryClaimsTransferredTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_ElectronicallyRecordedMonetaryClaimsTransferred" xlink:label="ElectronicallyRecordedMonetaryClaimsTransferred" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_PumpUnitMember" xlink:label="PumpUnitMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_ElectronicPartsUnitMember" xlink:label="ElectronicPartsUnitMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xlink:label="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_GovernanceTextBlock" xlink:label="GovernanceTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_StrategyTextBlock" xlink:label="StrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:label="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_RiskManagementTextBlock" xlink:label="RiskManagementTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_MetricsAndTargetsTextBlock" xlink:label="MetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:label="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:label="CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:label xlink:type="resource" xlink:label="label_CumulativeEffectsOfChangesInAccountingPolicies" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_CumulativeEffectsOfChangesInAccountingPolicies">Cumulative effects of changes in accounting policies</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CumulativeEffectsOfChangesInAccountingPolicies" xlink:to="label_CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_RestatedBalance" xlink:label="RestatedBalance" />
    <link:label xlink:type="resource" xlink:label="label_RestatedBalance" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_RestatedBalance">Restated balance</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RestatedBalance" xlink:to="label_RestatedBalance" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_TomariChieMember" xlink:label="TomariChieMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_StrategyClimateChangeTextBlock" xlink:label="StrategyClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01761-000_2023-03-31_01_2023-06-29.xsd#jpcrp030000-asr_E01761-000_MetricsAndTargetsClimateChangeTextBlock" xlink:label="MetricsAndTargetsClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ElectronicallyRecordedMonetaryClaimsTransferredTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ElectronicallyRecordedMonetaryClaimsTransferredTextBlock">Electronically recorded monetary claims transferred</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ElectronicallyRecordedMonetaryClaimsTransferredTextBlock" xlink:to="label_ElectronicallyRecordedMonetaryClaimsTransferredTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ElectronicallyRecordedMonetaryClaimsTransferredTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ElectronicallyRecordedMonetaryClaimsTransferredTextBlock_2">Electronically recorded monetary claims transferred [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ElectronicallyRecordedMonetaryClaimsTransferredTextBlock" xlink:to="label_ElectronicallyRecordedMonetaryClaimsTransferredTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_ElectronicallyRecordedMonetaryClaimsTransferred" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ElectronicallyRecordedMonetaryClaimsTransferred">Electronically recorded monetary claims transferred</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ElectronicallyRecordedMonetaryClaimsTransferred" xlink:to="label_ElectronicallyRecordedMonetaryClaimsTransferred" />
    <link:label xlink:type="resource" xlink:label="label_ElectronicallyRecordedMonetaryClaimsTransferred_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ElectronicallyRecordedMonetaryClaimsTransferred_2">Electronically recorded monetary claims transferred</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ElectronicallyRecordedMonetaryClaimsTransferred" xlink:to="label_ElectronicallyRecordedMonetaryClaimsTransferred_2" />
    <link:label xlink:type="resource" xlink:label="label_IncreaseDecreaseInNetDefinedBenefitAssetOrLiabilityOpeCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IncreaseDecreaseInNetDefinedBenefitAssetOrLiabilityOpeCF">Increase (decrease) in net defined benefit asset or liability</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInNetDefinedBenefitAssetOrLiabilityOpeCF" xlink:to="label_IncreaseDecreaseInNetDefinedBenefitAssetOrLiabilityOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_IncreaseDecreaseInNetDefinedBenefitAssetOrLiabilityOpeCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IncreaseDecreaseInNetDefinedBenefitAssetOrLiabilityOpeCF_2">Increase (decrease) in net defined benefit asset or liability-OpeCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInNetDefinedBenefitAssetOrLiabilityOpeCF" xlink:to="label_IncreaseDecreaseInNetDefinedBenefitAssetOrLiabilityOpeCF_2" />
    <link:label xlink:type="resource" xlink:label="label_BusinessAdvisoryFeeTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_BusinessAdvisoryFeeTextBlock">Business advisory fee</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BusinessAdvisoryFeeTextBlock" xlink:to="label_BusinessAdvisoryFeeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_BusinessAdvisoryFeeTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_BusinessAdvisoryFeeTextBlock_2">Business advisory fee [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BusinessAdvisoryFeeTextBlock" xlink:to="label_BusinessAdvisoryFeeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2">Disclosure of Sustainability-related Financial Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading">Disclosure of Sustainability-related Financial Information [heading]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2">Disclosure of Sustainability-related Financial Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock">Disclosure of Sustainability-related Financial Information [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GovernanceTextBlock_2">Governance</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceTextBlock" xlink:to="label_GovernanceTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GovernanceTextBlock">Governance [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceTextBlock" xlink:to="label_GovernanceTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_StrategyTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StrategyTextBlock_2">Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyTextBlock" xlink:to="label_StrategyTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_StrategyTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StrategyTextBlock">Strategy [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyTextBlock" xlink:to="label_StrategyTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2">Policy on human resource development and improvement of internal environment</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock">Policy on human resource development and improvement of internal environment, Strategy [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RiskManagementTextBlock_2">Risk management</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementTextBlock" xlink:to="label_RiskManagementTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RiskManagementTextBlock">Risk management [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementTextBlock" xlink:to="label_RiskManagementTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MetricsAndTargetsTextBlock_2">Metrics and targets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsTextBlock" xlink:to="label_MetricsAndTargetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MetricsAndTargetsTextBlock">Metrics and targets [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsTextBlock" xlink:to="label_MetricsAndTargetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics, Metrics and targets [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_StrategyClimateChangeTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StrategyClimateChangeTextBlock_2">Strategy, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyClimateChangeTextBlock" xlink:to="label_StrategyClimateChangeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_StrategyClimateChangeTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StrategyClimateChangeTextBlock">Strategy, Climate change [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyClimateChangeTextBlock" xlink:to="label_StrategyClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsClimateChangeTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MetricsAndTargetsClimateChangeTextBlock_2">Metrics and targets, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsClimateChangeTextBlock" xlink:to="label_MetricsAndTargetsClimateChangeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsClimateChangeTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MetricsAndTargetsClimateChangeTextBlock">Metrics and targets, Climate change [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsClimateChangeTextBlock" xlink:to="label_MetricsAndTargetsClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_AccountsReceivableTradeAndContractAssets" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AccountsReceivableTradeAndContractAssets">Accounts receivable - trade and contract assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AccountsReceivableTradeAndContractAssets" xlink:to="label_AccountsReceivableTradeAndContractAssets" />
    <link:label xlink:type="resource" xlink:label="label_AccountsReceivableTradeAndContractAssets_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AccountsReceivableTradeAndContractAssets_2">Accounts receivable - trade and contract assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AccountsReceivableTradeAndContractAssets" xlink:to="label_AccountsReceivableTradeAndContractAssets_2" />
    <link:label xlink:type="resource" xlink:label="label_SunlightSellingIncomeNOI" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SunlightSellingIncomeNOI">Sunlight selling income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SunlightSellingIncomeNOI" xlink:to="label_SunlightSellingIncomeNOI" />
    <link:label xlink:type="resource" xlink:label="label_SunlightSellingIncomeNOI_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SunlightSellingIncomeNOI_2">Sunlight selling income-NOI</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SunlightSellingIncomeNOI" xlink:to="label_SunlightSellingIncomeNOI_2" />
    <link:label xlink:type="resource" xlink:label="label_SunlightSellingProductionCostNOE" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SunlightSellingProductionCostNOE">Sunlight selling production cost</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SunlightSellingProductionCostNOE" xlink:to="label_SunlightSellingProductionCostNOE" />
    <link:label xlink:type="resource" xlink:label="label_SunlightSellingProductionCostNOE_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SunlightSellingProductionCostNOE_2">Sunlight selling production cost-NOE</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SunlightSellingProductionCostNOE" xlink:to="label_SunlightSellingProductionCostNOE_2" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany">Purpose of shareholding, overview of business alliance, quantitative effects of shareholding and reason for increase in number of shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany_2">Purpose of shareholding, overview of business alliance, quantitative effects of shareholding and reason for increase in number of shares, Details of specified investment shares held for purposes other than pure investment, Reporting company</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany_2" />
    <link:label xlink:type="resource" xlink:label="label_KoroyasuYoshihiroMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KoroyasuYoshihiroMember">Koroyasu, Yoshihiro [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KoroyasuYoshihiroMember" xlink:to="label_KoroyasuYoshihiroMember" />
    <link:label xlink:type="resource" xlink:label="label_KoroyasuYoshihiroMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KoroyasuYoshihiroMember_2">Koroyasu, Yoshihiro</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KoroyasuYoshihiroMember" xlink:to="label_KoroyasuYoshihiroMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MurataKiyoshiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MurataKiyoshiMember">Murata, Kiyoshi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MurataKiyoshiMember" xlink:to="label_MurataKiyoshiMember" />
    <link:label xlink:type="resource" xlink:label="label_MurataKiyoshiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MurataKiyoshiMember_2">Murata, Kiyoshi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MurataKiyoshiMember" xlink:to="label_MurataKiyoshiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SatoTetsuzouMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SatoTetsuzouMember">Sato, Tetsuzou</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SatoTetsuzouMember" xlink:to="label_SatoTetsuzouMember" />
    <link:label xlink:type="resource" xlink:label="label_SatoTetsuzouMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SatoTetsuzouMember_2">Sato, Tetsuzou [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SatoTetsuzouMember" xlink:to="label_SatoTetsuzouMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KagenTakashiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KagenTakashiMember">Kagen, Takashi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KagenTakashiMember" xlink:to="label_KagenTakashiMember" />
    <link:label xlink:type="resource" xlink:label="label_KagenTakashiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KagenTakashiMember_2">Kagen, Takashi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KagenTakashiMember" xlink:to="label_KagenTakashiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TomariChieMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TomariChieMember_2">Tomari, Chie</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TomariChieMember" xlink:to="label_TomariChieMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TomariChieMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TomariChieMember">Tomari, Chie [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TomariChieMember" xlink:to="label_TomariChieMember" />
    <link:label xlink:type="resource" xlink:label="label_AbeTakashiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AbeTakashiMember">Abe, Takashi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AbeTakashiMember" xlink:to="label_AbeTakashiMember" />
    <link:label xlink:type="resource" xlink:label="label_AbeTakashiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AbeTakashiMember_2">Abe, Takashi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AbeTakashiMember" xlink:to="label_AbeTakashiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_HayashiKoujiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HayashiKoujiMember">Hayashi, Kouji [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HayashiKoujiMember" xlink:to="label_HayashiKoujiMember" />
    <link:label xlink:type="resource" xlink:label="label_HayashiKoujiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HayashiKoujiMember_2">Hayashi, Kouji</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HayashiKoujiMember" xlink:to="label_HayashiKoujiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KawashimaIchiroMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KawashimaIchiroMember">Kawashima, Ichiro [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KawashimaIchiroMember" xlink:to="label_KawashimaIchiroMember" />
    <link:label xlink:type="resource" xlink:label="label_KawashimaIchiroMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KawashimaIchiroMember_2">Kawashima, Ichiro</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KawashimaIchiroMember" xlink:to="label_KawashimaIchiroMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OkiYoshimasaMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OkiYoshimasaMember">Oki, Yoshimasa [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OkiYoshimasaMember" xlink:to="label_OkiYoshimasaMember" />
    <link:label xlink:type="resource" xlink:label="label_OkiYoshimasaMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OkiYoshimasaMember_2">Oki, Yoshimasa</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OkiYoshimasaMember" xlink:to="label_OkiYoshimasaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_PumpUnitMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PumpUnitMember">Pump unit</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PumpUnitMember" xlink:to="label_PumpUnitMember" />
    <link:label xlink:type="resource" xlink:label="label_PumpUnitMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PumpUnitMember_2">Pump unit [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PumpUnitMember" xlink:to="label_PumpUnitMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ElectronicPartsUnitMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ElectronicPartsUnitMember">Electronic parts unit</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ElectronicPartsUnitMember" xlink:to="label_ElectronicPartsUnitMember" />
    <link:label xlink:type="resource" xlink:label="label_ElectronicPartsUnitMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ElectronicPartsUnitMember_2">Electronic parts unit [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ElectronicPartsUnitMember" xlink:to="label_ElectronicPartsUnitMember_2" />
  </link:labelLink>
</link:linkbase>